pcl::MultiChannel2DData< DATA_TYPE, NUM_OF_CHANNELS > Class Template Reference

Holds two-dimensional multi-channel data. More...

`#include <pcl/ml/multi_channel_2d_data_set.h>`

## Public Member Functions

| MultiChannel2DData ()
| Constructor. More...
virtual | ~MultiChannel2DData ()
| Destructor. More...
void | resize (std::size_t width, std::size_t height)
| Resizes the internal data storage. More...
void | clear ()
| Clears the internal data storage and sets width and height to 0. More...
DATA_TYPE * | operator() (const std::size_t col_index, const std::size_t row_index)
| Returns a pointer to the internal data at the specified location. More...
const DATA_TYPE * | operator() (const std::size_t col_index, const std::size_t row_index) const
| Returns a pointer to the internal data at the specified location. More...
DATA_TYPE & | operator() (const std::size_t col_index, const std::size_t row_index, const std::size_t channel)
| Returns a reference to the internal data at the specified location. More...
const DATA_TYPE & | operator() (const std::size_t col_index, const std::size_t row_index, const std::size_t channel) const
| Returns a reference to the internal data at the specified location. More...

## Detailed Description

### template<class DATA_TYPE, std::size_t NUM_OF_CHANNELS>
class pcl::MultiChannel2DData< DATA_TYPE, NUM_OF_CHANNELS >

Holds two-dimensional multi-channel data.

Definition at line 49 of file multi_channel_2d_data_set.h.

## Constructor & Destructor Documentation

## MultiChannel2DData()

template<class DATA_TYPE, std::size_t NUM_OF_CHANNELS>

pcl::MultiChannel2DData< DATA_TYPE, NUM_OF_CHANNELS >::MultiChannel2DData | ( |  | ) |

inline

Constructor.

Definition at line 52 of file multi_channel_2d_data_set.h.

## ~MultiChannel2DData()

template<class DATA_TYPE, std::size_t NUM_OF_CHANNELS>

virtual pcl::MultiChannel2DData< DATA_TYPE, NUM_OF_CHANNELS >::~MultiChannel2DData | ( |  | ) |

inline virtual

Destructor.

Definition at line 55 of file multi_channel_2d_data_set.h.

## Member Function Documentation

## clear()

template<class DATA_TYPE, std::size_t NUM_OF_CHANNELS>

void pcl::MultiChannel2DData< DATA_TYPE, NUM_OF_CHANNELS >::clear | ( |  | ) |

inline

Clears the internal data storage and sets width and height to 0.

Definition at line 72 of file multi_channel_2d_data_set.h.

## operator()() [1/4]

template<class DATA_TYPE, std::size_t NUM_OF_CHANNELS>

DATA_TYPE* pcl::MultiChannel2DData< DATA_TYPE, NUM_OF_CHANNELS >::operator() | ( | const std::size_t | col_index,
|  | const std::size_t | row_index
| ) |  |

inline

Returns a pointer to the internal data at the specified location.

Parameters

  [in] | col_index | the column index
  [in] | row_index | the row index

Definition at line 85 of file multi_channel_2d_data_set.h.

## operator()() [2/4]

template<class DATA_TYPE, std::size_t NUM_OF_CHANNELS>

const DATA_TYPE* pcl::MultiChannel2DData< DATA_TYPE, NUM_OF_CHANNELS >::operator() | ( | const std::size_t | col_index,
|  | const std::size_t | row_index
| ) |  | const

inline

Returns a pointer to the internal data at the specified location.

Parameters

  [in] | col_index | the column index
  [in] | row_index | the row index

Definition at line 96 of file multi_channel_2d_data_set.h.

## operator()() [3/4]

template<class DATA_TYPE, std::size_t NUM_OF_CHANNELS>

DATA_TYPE& pcl::MultiChannel2DData< DATA_TYPE, NUM_OF_CHANNELS >::operator() | ( | const std::size_t | col_index,
|  | const std::size_t | row_index,
|  | const std::size_t | channel
| ) |  |

inline

Returns a reference to the internal data at the specified location.

Parameters

  [in] | col_index | the column index
  [in] | row_index | the row index
  [in] | channel | the channel index

Definition at line 108 of file multi_channel_2d_data_set.h.

## operator()() [4/4]

template<class DATA_TYPE, std::size_t NUM_OF_CHANNELS>

const DATA_TYPE& pcl::MultiChannel2DData< DATA_TYPE, NUM_OF_CHANNELS >::operator() | ( | const std::size_t | col_index,
|  | const std::size_t | row_index,
|  | const std::size_t | channel
| ) |  | const

inline

Returns a reference to the internal data at the specified location.

Parameters

  [in] | col_index | the column index
  [in] | row_index | the row index
  [in] | channel | the channel index

Definition at line 122 of file multi_channel_2d_data_set.h.

## resize()

template<class DATA_TYPE, std::size_t NUM_OF_CHANNELS>

void pcl::MultiChannel2DData< DATA_TYPE, NUM_OF_CHANNELS >::resize | ( | std::size_t | width,
|  | std::size_t | height
| ) |  |

inline

Resizes the internal data storage.

Parameters

  [in] | width | the width of the resized 2D data array
  [in] | height | the height of the resized 2D data array

Definition at line 63 of file multi_channel_2d_data_set.h.

Referenced by pcl::MultiChannel2DDataSet< DATA_TYPE, NUM_OF_CHANNELS >::addData().

The documentation for this class was generated from the following file:

- pcl/ml/multi_channel_2d_data_set.h